Skip to main content
Channel Groups

Create a new channel group

Create a new channel group. This method requires the ChannelGroups:Create permission to be associated with your role.

POST
/fm/channel/groups
Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/json

JSON payload

channel_group_codestringdefault:required

A unique code for the channel group

Example: ABC
namestringdefault:required
Example: ABC Channel Group
status_flagenum<string>default:active

Status of the new channel group

Available options: active, inactive
Example: active

Response

application/vnd.catch-e-api.v1+json

Success

channel_group_codestring
Example: ABC
channel_group_idstring
Example: 100000
namestring
Example: ABC Channel Group
status_flagenum<string>
Available options: active, inactive